%define anolis_release 1
Name:           libshout
Version:        2.4.5
Release:        %{anolis_release}%{?dist}
Summary:        Icecast source streaming library

License:        LGPLv2+ and MIT
URL:            https://www.icecast.org/
Source:         https://downloads.us.xiph.org/releases/libshout/libshout-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  libtool
BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(theora)
BuildRequires:  sed
BuildRequires: make

%description
libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package        devel
Summary:        Header files for %{name} development
License:        LGPLv2+
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The libshout-devel package contains the header files needed for developing
applications that send data to an icecast server.  Install libshout-devel if
you want to develop applications using libshout.

%prep
%setup -q
autoreconf -fi

%build
%configure \
  --disable-ckport \
  --enable-examples \
  --enable-pkgconfig \
  --disable-silent-rules \
  --enable-shared \
  --enable-speex \
  --disable-static \
  --enable-theora \
  --enable-thread

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install

find $RPM_BUILD_ROOT -type f -name "*.la" -delete

rm -rf $RPM_BUILD_ROOT%{_docdir}

%files
%doc NEWS README
%license COPYING
%{_libdir}/libshout.so.3
%{_libdir}/libshout.so.3.*
%{_libdir}/ckport/db/*
%{_bindir}/shout*
%{_mandir}/man1/shout*.1*

%files devel
%doc examples/*.c doc/*.xml
%{_libdir}/libshout.so
%{_libdir}/pkgconfig/shout.pc
%{_includedir}/shout/
%{_datadir}/aclocal/shout.m4

%changelog
* Fri Apr 15 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.4.5-1
- Init from upstream version 2.4.5
